summaryrefslogtreecommitdiff
path: root/t/mkdir_p.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-07-06 09:59:23 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-07-06 09:59:23 +0200
commit2634d5d8ba99a52023f25bb6ea6b038f76e55a7f (patch)
treec5d828bc7bfcc798ed36cac9e15c970480d45b07 /t/mkdir_p.sh
parentfc21a888343751b9fbd2bc35fe1ffc96f4f310f2 (diff)
downloadautomake-2634d5d8ba99a52023f25bb6ea6b038f76e55a7f.tar.gz
coverage: test that AM_PROG_MKDIR_P and $(mkdir_p) still works
They are deprecated, but should continue to work in the 1.12.x release series. Report from Benoit Sigoure and Diego Elio Pattenò: <http://lists.gnu.org/archive/html/automake/2012-07/msg00001.html> * t/mkdirp-deprecation.sh: Enhance. * t/mkdir_p.sh: New test, check that AM_INIT_AUTOMAKE still defines the $(mkdir_p) make variable. Currently xfailing. * t/list-of-tests.mk (handwritten_TESTS, XFAIL_TESTS): Add the new test. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/mkdir_p.sh')
-rwxr-xr-xt/mkdir_p.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/t/mkdir_p.sh b/t/mkdir_p.sh
new file mode 100755
index 000000000..624365c2d
--- /dev/null
+++ b/t/mkdir_p.sh
@@ -0,0 +1,51 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# AM_INIT_AUTOMAKE should still define $(mkdir_p), for backward
+# compatibility.
+
+. ./defs || exit 1
+
+cat >> configure.ac << 'END'
+AC_CONFIG_FILES([sub/Makefile])
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+SUBDIRS = sub
+all-local:
+ $(mkdir_p) . dir1/dir2
+check-local: all
+ test -d dir1/dir2
+ test -d dir1/dir3
+END
+
+mkdir sub
+cat > sub/Makefile.am << 'END'
+# '$(mkdir_p)' should continue to work even in subdir makefiles.
+all-local:
+ $(mkdir_p) .. ../dir1/dir3
+END
+
+$ACLOCAL
+$AUTOCONF -Werror -Wall
+$AUTOMAKE
+
+./configure
+$MAKE check-local
+$MAKE distcheck
+
+: